# class PsiZone

A singleton wrapper for a psi_timezone . More...

Definition | `#include <psitime.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- bool getZone (psi_timezone &ptz)

#### Public Static Methods

- static PsiZone & getInstance ()

## Detailed Description

A singleton wrapper for a psi_timezone . This class is used by PsiTime to initialize it's psi_timezone variable. PsiZone itself is initialized from within rpcs::getMachineInfo . In an application, you typically call this at the very beginning, just after connection setup. From then on, a single PsiZone instance is held in memory and used by the various constructors of PsiTime.

PsiZone & getInstance ()

### getInstance

[static]

Retrieve the singleton object. If it does not exist, it is created.

bool getZone (psi_timezone &ptz)

### getZone

Retrieve the Psion time zone.

Parameters:

ptz | The time zone is returned here.

Returns: false, if the time zone is not known (yet).

- Author: Fritz Elfert <felfert@to.com>
- Generated: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.